#-*- mode: yaml; coding: utf-8; -*-
#= 設定ファイル
#
# Rakefile 内で load される.
#
#== 挙動の制御
#
#=== CSS, JS の置き場所
#
#  Rakefile の実体の場所を指定すると良い.
#  このディレクトリから bootstrap, jquery を読む
#
#base_path: /library/cc-env/RDWebgen
base_path: /RDWebgen
#
#=== 下層のディレクトリも再帰的に処理するか?
#
recursive: false
#recursive: true
#
#=== 再帰的処理をしない場合の扱うディレクトリのリスト
#
# - recursive: true の場合は無視される
#
src:
  - subdirs
  - subdirs/subsubdirs
#
#=== RD ファイル内の画像へのリンクを thumbnail へ置き換えるか
#
thumbnail: true
#
#=== 日本語, 英語ファイルの処理
#
# ja:true で htm.ja を生成
# en:true で htm.en を生成
#
lang:
  ja: true
#  en: true
  en: false
#
#== HTML meta 情報
#
# TODO: email で与えた文字列を画像に変換して配置したいが, ちょっと大仰かな...
#
author: Satoshi Noda
title: "Satoshi Noda's web page"
url: https://www.gfd-dennou.org/member/noda/
email: https://www.gfd-dennou.org/member/noda/email.png
since: 2008/01/01
#
#
#== CSSの指定
#
# * default は twitter bootstrap に幾つかの要素を追加した
#   dcmodel-with-bootstrap.css を読み込む
#
#css: "/library/cc-env/RDWebgen/rdwebgen.css"
css: "./rdwebgen.css"
# css: false
#
#== additional HEADER
#
# <head></head> に追加する任意の HTML 片をここに記述
# 出力時に改行は保持されないことに注意されたい
#
additional_head: |+
     <div class="sidebar">
     <ul class="sidebar">
     <li><a href="../index.htm.ja">Index</a></li>
     <li><a href="../pub.htm.ja">Publication</a></li>
     <li><a href="../edu/index.htm.ja">Education</a></li>
     <li><a href="../memo/index.htm.ja">Memo</a></li>
     <li><a href="../links.htm.ja">Link</a></li>
     <!--<li><a href="../programs/index.htm.ja">プログラム</a></li>-->
     <li><a href="../hobby.htm.ja">Hobby</a></li>
       <ul>
       <li><a href="../sky/index.htm.ja">Fixed-point observation</a></li>
       </ul>
     <li><a href="../images.htm.ja">Photo</a></li>
     </ul>
     <h4>Related Sites</h4>
     <ul class="sidebar">
     <li><a href="http://www-mete.kugi.kyoto-u.ac.jp/">京都大学 気象学研究室</a></li>
     <li><a href="http://epa.scitec.kobe-u.ac.jp/">地球および惑星大気科学研究室</a></li>
     <li><a href="http://itpass.scitec.kobe-u.ac.jp/">神戸大学 ITPASS</a></li>
     <li><a href="http://www.kobe-u.ac.jp/">神戸大学</a></li>
     <li><a href="http://www.ep.sci.hokudai.ac.jp/~epnetfan/">北海道大学 EPnetFaN</a></li>
     <li><a href="https://www.cps-jp.org/">惑星科学研究センター(CPS)</a></li>
     </ul>
     </div><!-- end sidebar -->

#
# * メニューバーに表示するリンク
#
link_ja:
#  - title: 地球流体電脳倶楽部
#    url: /
#  - title: SPMODEL プロジェクト
#    url: /library/dynamo/index.html.ja
#link_en:
#  - title: GFD Dennou Club
#    url: /index.html.en
#  - title: SPMODEL Project
#    url: /library/spmodel/index.htm.en

#-------------------------------------------------------------------------
# Not implement yet.
#
#== 生成する HTML ファイルの URIのベース
#
# * "http://..." で指定する
# * false の場合, Rakefile の場所からの相対PATHになる.
#
# publish_base: http://www.gfd-dennou.org/member/uwabami/tmp/
# publish_base: false
#
#== Template 置き場
#
# * HTML のヘッダ/フッタのテンプレートを外部から読み込めるようにする?
#
# assets: "./assets"
